1 Reply Latest reply: Sep 18, 2013 2:45 PM by Klaus1
bellekeponne Level 1 Level 1 (0 points)

Hi

Is there someone who can help?

I'm struggling to connect to I Tunes on my MacBook. I'm on OS X 10.4.11 and I'm receiving the message that for installing the latest version of ITunes I'm supposed to have the 10.5 or more recent

But I'm just a new Apple user and I can't seem to get the version update througt Software Update. Am I doing something wrong or is it an impossible step to make?

Thanks for your advice.

 

Greetz

Bellekeponne


MacBook, Mac OS X (10.4.11)